/*
 * Donnees.cpp : 
 * Copyright (C) 2007 Florence Zara, LIRIS
 *               florence.zara@liris.univ-lyon1.fr
 *               http://liris.cnrs.fr/florence.zara/
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



/** \file Donnees.cpp
*   Programme sequentiel calculant pour chaque particule i             
*   son etat au pas de temps suivant (methode explicite) :                     
*   donnees generales.
* \brief Strutures de donnees generales
*/ 


#include "Donnees.h"


/**
 * Methode amie de la class Coord pour la surcharge de l operateur +.
 */
Coord operator+(Coord a, Coord b)
{  
  return Coord(a.getX() + b.getX(), a.getY() + b.getY(), a.getZ() + b.getZ());   
}  


/**
 * Methode amie de la class Coord pour la surcharge de l operateur -.
 */
Coord operator-(Coord a, Coord b)
{  
  return Coord(a.getX() - b.getX(), a.getY() - b.getY(), a.getZ() - b.getZ());   
}  
