/*
 * Navigation.h : 
 * Copyright (C) 2007 Sylvain Brandel, LIRIS
 *               sylvain.brandel@liris.univ-lyon1.fr
 *               http://liris.cnrs.fr/sylvain.brandel
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/** \file Navigation.h
\brief fonctions associees a la fenetre glut
*/


#ifndef _NAVIGATION_H
#define _NAVIGATION_H


/** Librairies de base **/
#include <sstream>
#include <string.h>

#ifdef WIN32
#include <string.h>
#else
#include <strings.h>
#endif


/* Sous MAC */
#include <GLUT/glut.h>  

/* Sous Linux */
// #include <GL/glut.h>   

/** Trackball **/
#include "trackball.h"


extern float scale_factor;
extern GLint xGL, yGL;


typedef enum {
	SHADING_WIRED,
	SHADING_SMOOTH,
	SHADING_NO_SMOOTH
} eShading;

extern eShading shadingMode;

extern bool normalDisplaying;




/**
* Gestion de la taille de la fenetre Glut.
 */
void reshape(int width, int height) ;

/**
* Mouvement.
 */
void motion(int x, int y) ;


/**
* Gestion de la souris.
 */
void mouse(int button, int state, int x, int y) ;


/**
* Gestion du clavier.
 */
void keyboard(unsigned char key, int x, int y) ;


/**
* Menu.
 */
void menu(int item) ;


/**
*
 */
void idle(void) ;


/**
*
 */
void visible(int state) ;



#endif
